#!/bin/zsh

# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cgi_post
cgi_refdata

filter="&filter=${_REF[filter]}"
filtertype="&filtertype=${_REF[filtertype]}"
order="&order=${_REF[order]}"

uid=$(uuidgenerator)
card="${uid}.vcf"

tempfile="$_DATA/temp/$card"

cat >"$tempfile" <<EOF
BEGIN:VCARD
VERSION:4.0
N:;;;;
BDAY:
TEL:
EMAIL:
ADR:
NOTE:
UID:$uid
END:VCARD
EOF

echo -n "Location: ?p=attendees${filter}${filtertype}${order}&edit=$card\n\n"
